# QXtWidget Class Reference

Allows mixing of Xt/Motif and Qt widgets. This class is part of the Qt Xt/Motif Extension. More...

`#include <qxt.h>`

Inherits QWidget.

List of all member functions.

## Public Members

- QXtWidget ( const char * name, Widget parent, bool managed=FALSE )
- QXtWidget ( const char * name, WidgetClass widget_class, QXtWidget * parent, ArgList args=0, Cardinal num_args=0, bool managed=FALSE )
- ~QXtWidget ()
- Widget xtWidget () const
- virtual void setGeometry ( int x, int y, int w, int h )
- void setGeometry ( const QRect & )

## Protected Members

- bool x11Event ( XEvent * )
- virtual void leaveEvent ( QEvent * )

## Detailed Description

This class is defined in the Qt Xt/Motif Extension, which can be found in the `qt/extensions` directory. It is not included in the main Qt API.

Allows mixing of Xt/Motif and Qt widgets.

QXtWidget acts as a bridge between Xt and Qt. For utilizing old Xt widgets, it can be a QWidget based on a Xt widget class. For including Qt widgets in an existing Xt/Motif application, it can be a special Xt widget class that is a QWidget. See the constructors for the different behaviors.

Examples: mainlyMotif/editor.cpp mainlyQt/editor.cpp mainlyXt/editor.cpp

## Member Function Documentation

### QXtWidget::QXtWidget ( const char * name, Widget parent, bool managed=FALSE )

Constructs a QXtWidget of the special Xt widget class known as "QWidget" to the resource manager.

Use this constructor to utilize Qt widgets in an Xt/Motif application. The QXtWidget is a QWidget, so you can create subwidgets, layouts, etc. using Qt functionality.

### QXtWidget::QXtWidget ( const char * name, WidgetClass widget_class, QXtWidget * parent, ArgList args=0, Cardinal num_args=0, bool managed=FALSE )

Constructs a QXtWidget of the given widget_class.

Use this constructor to utilize Xt or Motif widgets in a Qt application. The QXtWidget looks and behaves like the Xt class, but can be used like any QWidget.

Note that the parent must be a QXtWidget (possibly NULL). This is necessary since all Xt widgets must have Xt widgets as ancestors up to the top-level widget. WWA: This restriction may be avoidable by reimplementing the low-level Qt window creation/destruction functions.

### QXtWidget::~QXtWidget ()

Destructs the QXtWidget.

### void QXtWidget::leaveEvent ( QEvent * ev ) `[virtual protected]`

Reimplemented to produce the Xt effect of losing focus when the mouse goes out of the widget. This may be changed.

Reimplemented from QWidget.

### void QXtWidget::setGeometry ( const QRect & r )

Reimplemented to pass the new geometry to Xt via XtSetValues().

### void QXtWidget::setGeometry ( int x, int y, int w, int h ) `[virtual]`

Reimplemented to pass the new geometry to Xt via XtSetValues().

Examples: mainlyQt/editor.cpp

Reimplemented from QWidget.

### bool QXtWidget::x11Event ( XEvent * ev ) `[protected]`

Reimplemented to pass events to Xt.

### Widget QXtWidget::xtWidget () const

Returns the Xt widget equivalent for the Qt widget.

Examples: mainlyMotif/editor.cpp mainlyXt/editor.cpp

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qxt.h: 1998/08/14
- qxt.cpp: 1998/07/03